=== debian/control ===
Source: ros-iron-fuse-publishers
Section: misc
Priority: optional
Maintainer: Stephen Williams <swilliams@locusrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-cmake-ros, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-fuse-constraints <!nocheck>, ros-iron-fuse-core, ros-iron-fuse-graphs <!nocheck>, ros-iron-fuse-msgs, ros-iron-fuse-variables, ros-iron-geometry-msgs, ros-iron-nav-msgs, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-rclcpp <!nocheck>, ros-iron-tf2, ros-iron-tf2-geometry-msgs, ros-iron-tf2-ros, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-fuse-publishers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-fuse-core, ros-iron-fuse-msgs, ros-iron-fuse-variables, ros-iron-geometry-msgs, ros-iron-nav-msgs, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-tf2, ros-iron-tf2-geometry-msgs, ros-iron-tf2-ros, ros-iron-ros-workspace
Description: The fuse_publishers package provides a set of common publisher plugins.
